; ***************************************************************
; Include code for 16CE62x interface code.
; Provides addressability to write_byte, read_random and read_current
; as well as the file registers used by these functions.
;
        extern  READ_CURRENT
        extern  READ_RANDOM
        extern  WRITE_BYTE
	extern  WRITE_PAGE
	extern  READ_PAGE
        extern  EEADDR
        extern  EEDATA
        extern  PC_OFFSET

; Macro to turn on the EE data module.  Returns with STATUS,RP0 clear
EE_ON	MACRO
	BSF	STATUS,RP0	; set register page 1
	BSF	EEINTF,EEVDD	; turn on EE data module
	BCF	STATUS,RP0	; return to register page 0
	ENDM

; Macro to turn off the EE data module.  Returns with STATUS,RP0 clear
EE_OFF	MACRO
	BSF	STATUS,RP0	; set register page 1
	BCF	EEINTF,EEVDD	; turn off EE data module
	BCF	STATUS,RP0	; return to Register page 0
	ENDM
   
